REST API Create Subproject not working
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I am using the REST API in PHP. I have been successful in creating projects, but unsuccessful in creating subprojects.

I used the "parent_id" parameter as shown here: #7404

Here is the code I am using:

$rm_project = new Redmine_Project(array(

'name' => 'Project', 

'identifier' => 'project1',

'description' => 'desc'

));

$rm_project->save();

$rm_sub_project = new Redmine_Project(array(

'name' => 'Sub Project', 

'parent_id' => $rm_project->id,

'identifier' => 'subproject1',

'description' => 'testing'

));

History

#1 - 2012-03-12 19:41 - Justin Da Silva

- Status changed from New to Resolved

Sorry, my mistake... I forgot to run the save method on the subproject...

$rm_sub_project->save();

I have verified that the "parent_id" attribute does in fact work.

#2 - 2017-01-07 07:58 - Go MAEDA

- Category set to REST API

- Status changed from Resolved to Closed

- Resolution set to Invalid

#3 - 2017-01-29 17:36 - Toshi MARUYAMA

- Description updated

Powered by TCPDF (www.tcpdf.org)

2025-04-24 1/1

https://www.redmine.org/issues/7404
http://www.tcpdf.org

